SELECT WR.Url,
       a.Dt_Creation                           Audit_date,
       a.Status,
       COALESCE(WRS.Nb_Failed_Occurrences, "") Errors,
       (CASE
          WHEN WRS.Raw_Mark IS NULL THEN ""
          WHEN WRS.Raw_Mark > 99 THEN "A"
          WHEN WRS.Raw_Mark > 90 THEN "B"
          WHEN WRS.Raw_Mark > 85 THEN "C"
          WHEN WRS.Raw_Mark > 75 THEN "D"
          WHEN WRS.Raw_Mark > 60 THEN "E"
          ELSE "F"
         END) as                               Mark,
       COALESCE(WRS.Nb_Na, "")                 Tests_NA,
       COALESCE(WRS.Nb_Passed, "")             Tests_C,
       COALESCE(WRS.Nb_Failed, "")             Tests_NC
INTO OUTFILE '/tmp/Observatoire_Accessibilité_2023-09-19.csv'
    CHARACTER SET utf8mb4
    FIELDS TERMINATED BY ',' OPTIONALLY ENCLOSED BY '"'
    LINES TERMINATED BY '\n'
FROM AUDIT as a
  INNER JOIN WEB_RESOURCE WR on a.Id_Audit = WR.Id_Audit
  LEFT JOIN WEB_RESOURCE_STATISTICS WRS on a.Id_Audit = WRS.Id_Audit
ORDER BY WR.Url
;